Skip to main content
POST
/
merchant
/
email
/
send_email_to_user
Send Email To User
curl --request POST \
  --url https://api.unibee.dev/merchant/email/send_email_to_user \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "<string>",
  "attachInvoiceId": "<string>",
  "content": "<string>",
  "gatewayName": "<string>",
  "gatewayTemplateId": "<string>",
  "language": "<string>",
  "subject": "<string>",
  "variables": {}
}
'
{
  "code": 123,
  "data": {},
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/email/send_email_to_user Send Email To User

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
attachInvoiceIdstringNoAttachInvoiceId
contentstringNo
emailstringYesEmail
gatewayNamestringNoThe name of email gateway, available for sendgrid|smtp, default gateway will use if not provide
gatewayTemplateIdstringNoGatewayTemplateId
languagestringNoLanguage
subjectstringNo
variablesobjectNoVariables,Map

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/email/send_email_to_user" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "attachInvoiceId": "id_example",
  "content": "",
  "email": "user@example.com",
  "gatewayName": "",
  "gatewayTemplateId": "id_example",
  "language": "",
  "subject": "",
  "variables": {}
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/email/send_email_to_user" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "attachInvoiceId": "id_example",
  "content": "",
  "email": "user@example.com",
  "gatewayName": "",
  "gatewayTemplateId": "id_example",
  "language": "",
  "subject": "",
  "variables": {}
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
email
string<string>
required

Email

attachInvoiceId
string<string>

AttachInvoiceId

content
string<string>
gatewayName
string<string>

The name of email gateway, available for sendgrid|smtp, default gateway will use if not provide

gatewayTemplateId
string<string>

GatewayTemplateId

language
string<string>

Language

subject
string<string>
variables
object

Variables,Map

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>